exports.name = "RSS feed";
exports.options = {};

exports.file = "/Documents/RSS_Example.xml";
exports.expected = [
  {
    "event": "processinginstruction",
    "data": [
      "?xml",
      "?xml version=\"1.0\"?"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n"
    ]
  },
  {
    "event": "comment",
    "data": [
      " http://cyber.law.harvard.edu/rss/examples/rss2sample.xml "
    ]
  },
  {
    "event": "commentend",
    "data": []
  },
  {
    "event": "text",
    "data": [
      "\n"
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "rss"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "rss",
      {
        "version": "2.0"
      },
      "tag"
    ]
  },
  {
    "event": "attribute",
    "data": [
      "version",
      "2.0"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n   "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "channel"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "channel",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n      "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "title"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "title",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "Liftoff News"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "title"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n      "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "link"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "link",
      {},
      "tag"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "link"
    ]
  },
  {
    "event": "text",
    "data": [
      "http://liftoff.msfc.nasa.gov/"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n      "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "description"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "description",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "Liftoff to Space Exploration."
    ]
  },
  {
    "event": "closetag",
    "data": [
      "description"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n      "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "language"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "language",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "en-us"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "language"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n      "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "pubDate"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "pubDate",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "Tue, 10 Jun 2003 04:00:00 GMT"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "pubDate"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n\n      "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "lastBuildDate"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "lastBuildDate",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "Tue, 10 Jun 2003 09:41:01 GMT"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "lastBuildDate"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n      "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "docs"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "docs",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "http://blogs.law.harvard.edu/tech/rss"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "docs"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n      "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "generator"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "generator",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "Weblog Editor 2.0"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "generator"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n      "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "managingEditor"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "managingEditor",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "editor@example.com"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "managingEditor"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n      "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "webMaster"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "webMaster",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "webmaster@example.com"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "webMaster"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n      "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "item"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "item",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n\n         "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "title"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "title",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "Star City"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "title"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n         "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "link"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "link",
      {},
      "tag"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "link"
    ]
  },
  {
    "event": "text",
    "data": [
      "http://liftoff.msfc.nasa.gov/news/2003/news-starcity.asp"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n         "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "description"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "description",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "How do Americans get ready to work with Russians aboard the International Space Station? They take a crash course in culture, language and protocol at Russia's &lt;a href=\"http://howe.iki.rssi.ru/GCTC/gctc_e.htm\"&gt;Star City&lt;/a&gt;."
    ]
  },
  {
    "event": "closetag",
    "data": [
      "description"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n         "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "pubDate"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "pubDate",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "Tue, 03 Jun 2003 09:39:21 GMT"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "pubDate"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n         "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "guid"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "guid",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "http://liftoff.msfc.nasa.gov/2003/06/03.html#item573"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "guid"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n\n      "
    ]
  },
  {
    "event": "closetag",
    "data": [
      "item"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n      "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "item"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "item",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n         "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "description"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "description",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "Sky watchers in Europe, Asia, and parts of Alaska and Canada will experience a &lt;a href=\"http://science.nasa.gov/headlines/y2003/30may_solareclipse.htm\"&gt;partial eclipse of the Sun&lt;/a&gt; on Saturday, May 31st."
    ]
  },
  {
    "event": "closetag",
    "data": [
      "description"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n         "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "pubDate"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "pubDate",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "Fri, 30 May 2003 11:06:42 GMT"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "pubDate"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n         "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "guid"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "guid",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "http://liftoff.msfc.nasa.gov/2003/05/30.html#item572"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "guid"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n\n      "
    ]
  },
  {
    "event": "closetag",
    "data": [
      "item"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n      "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "item"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "item",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n         "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "title"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "title",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "The Engine That Does More"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "title"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n         "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "link"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "link",
      {},
      "tag"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "link"
    ]
  },
  {
    "event": "text",
    "data": [
      "http://liftoff.msfc.nasa.gov/news/2003/news-VASIMR.asp"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n         "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "description"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "description",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "Before man travels to Mars, NASA hopes to design new engines that will let us fly through the Solar System more quickly.  The proposed VASIMR engine would do that."
    ]
  },
  {
    "event": "closetag",
    "data": [
      "description"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n         "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "pubDate"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "pubDate",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "Tue, 27 May 2003 08:37:32 GMT"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "pubDate"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n         "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "guid"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "guid",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "http://liftoff.msfc.nasa.gov/2003/05/27.html#item571"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "guid"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n\n      "
    ]
  },
  {
    "event": "closetag",
    "data": [
      "item"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n      "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "item"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "item",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n         "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "title"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "title",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "Astronauts' Dirty Laundry"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "title"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n         "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "link"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "link",
      {},
      "tag"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "link"
    ]
  },
  {
    "event": "text",
    "data": [
      "http://liftoff.msfc.nasa.gov/news/2003/news-laundry.asp"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n         "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "description"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "description",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "Compared to earlier spacecraft, the International Space Station has many luxuries, but laundry facilities are not one of them.  Instead, astronauts have other options."
    ]
  },
  {
    "event": "closetag",
    "data": [
      "description"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n         "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "pubDate"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "pubDate",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "Tue, 20 May 2003 08:56:02 GMT"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "pubDate"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n         "
    ]
  },
  {
    "event": "opentagname",
    "data": [
      "guid"
    ]
  },
  {
    "event": "opentag",
    "data": [
      "guid",
      {},
      "tag"
    ]
  },
  {
    "event": "text",
    "data": [
      "http://liftoff.msfc.nasa.gov/2003/05/20.html#item570"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "guid"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n\n      "
    ]
  },
  {
    "event": "closetag",
    "data": [
      "item"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n   "
    ]
  },
  {
    "event": "closetag",
    "data": [
      "channel"
    ]
  },
  {
    "event": "text",
    "data": [
      "\n"
    ]
  },
  {
    "event": "closetag",
    "data": [
      "rss"
    ]
  }
];